{ pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix

    ./reverseproxy.nix
  ];

  networking.hostName = "reverseproxy";
  boot.loader.grub.devices = [ "/dev/sda" ];

  users.users."nginx".home = "/var/lib/nginx";
  users.users."anubis".extraGroups = [ "nginx" ];

  crans = {
    enable = true;

    networking = {
      id = "51";
      srvNat.enable = true;
      srv = {
        enable = true;
        interface = "ens20";
        ipv4 = "185.230.79.42";
      };
    };

    resticClient.when = "03:42";

  };

  system.stateVersion = "25.05";
}
